org.apache.ignite.internal.processors.platform.cache

## Interface PlatformCacheEntryFilter

All Superinterfaces:
  IgniteBiPredicate, Serializable

All Known Implementing Classes:
  PlatformCacheEntryFilterImpl

    public interface PlatformCacheEntryFilter
    extends IgniteBiPredicate

Platform cache entry filter interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cacheContext(GridCacheContext cctx)` Sets the cache context.
`void` `onClose()` Callback invoked when filter is no longer needed.

### Methods inherited from interface org.apache.ignite.lang.IgniteBiPredicate

`and, apply`

### Method Detail

#### onClose

    void onClose()

Callback invoked when filter is no longer needed.

#### cacheContext

    void cacheContext(GridCacheContext cctx)

Sets the cache context.

Parameters:
  `cctx` - Cache context.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021